[Unit]
Description=aria2 Daemon
Requires=network.target
After=network.target

[Service]
Type=forking
ExecStart=/usr/bin/aria2c -D
ExecReload=/usr/bin/kill -HUP $MAINPID
RestartSec=1min
Restart=on-failure

[Install]
WantedBy=default.target